<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/hext_cu.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>hext_cu.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for hext_cu.c:</div>
<div class="dynsection">
<div class="center"><img src="hext__cu_8c__incl.png" border="0" usemap="#field_2hext__cu_8c_map" alt=""/></div>
<map name="field_2hext__cu_8c_map" id="field_2hext__cu_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="173,86,229,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="hext__cu_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a">Hext_cu_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__cu_8c.html#a2866a2d9dd35b17789e06b1b79ab72cc">Hext_cu</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VHextsum, PetscReal *hext)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a2866a2d9dd35b17789e06b1b79ab72cc"></a><!-- doxytag: member="hext_cu.c::Hext_cu" ref="a2866a2d9dd35b17789e06b1b79ab72cc" args="(GridData *gdata, Vec VHextsum, PetscReal *hext)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_cu </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VHextsum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>hext</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__cu_8c_source.html#l00096">96</a> of file <a class="el" href="hext__cu_8c_source.html">hext_cu.c</a>.</p>

<p>References <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, and <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>.</p>

<p>Referenced by <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_cgraph.png" border="0" usemap="#hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_cgraph_map" alt=""></div>
<map name="hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_cgraph_map" id="hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_cgraph">
<area shape="rect" id="node3" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="127,5,220,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_icgraph.png" border="0" usemap="#hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_icgraph_map" alt=""></div>
<map name="hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_icgraph_map" id="hext__cu_8c_a2866a2d9dd35b17789e06b1b79ab72cc_icgraph">
<area shape="rect" id="node3" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="125,249,203,279"/><area shape="rect" id="node5" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="252,210,297,241"/><area shape="rect" id="node40" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="348,301,449,331"/><area shape="rect" id="node7" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="357,118,440,149"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1216,197,1275,227"/><area shape="rect" id="node36" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1060,90,1145,121"/><area shape="rect" id="node46" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="364,197,433,227"/><area shape="rect" id="node9" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1039,143,1167,174"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="528,146,605,177"/><area shape="rect" id="node23" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="520,93,613,123"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1219,143,1272,174"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1323,170,1373,201"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="684,301,809,331"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="708,197,785,227"/><area shape="rect" id="node30" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="700,93,793,123"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="859,197,989,227"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="897,93,951,123"/><area shape="rect" id="node42" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="499,301,635,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad490e336bf2582884e7e3191bd37891a"></a><!-- doxytag: member="hext_cu.c::Hext_cu_Init" ref="ad490e336bf2582884e7e3191bd37891a" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_cu_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__cu_8c_source.html#l00034">34</a> of file <a class="el" href="hext__cu_8c_source.html">hext_cu.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>, and <a class="el" href="griddata_8h_source.html#l00257">GridData::VHext</a>.</p>

<p>Referenced by <a class="el" href="hext__cu_8c_source.html#l00096">Hext_cu()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__cu_8c_ad490e336bf2582884e7e3191bd37891a_icgraph.png" border="0" usemap="#hext__cu_8c_ad490e336bf2582884e7e3191bd37891a_icgraph_map" alt=""></div>
<map name="hext__cu_8c_ad490e336bf2582884e7e3191bd37891a_icgraph_map" id="hext__cu_8c_ad490e336bf2582884e7e3191bd37891a_icgraph">
<area shape="rect" id="node3" href="hext__cu_8c.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="151,249,220,279"/><area shape="rect" id="node5" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="269,249,347,279"/><area shape="rect" id="node7" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="396,210,441,241"/><area shape="rect" id="node42" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="492,301,593,331"/><area shape="rect" id="node9" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="501,118,584,149"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1360,197,1419,227"/><area shape="rect" id="node38" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1204,90,1289,121"/><area shape="rect" id="node48" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="508,197,577,227"/><area shape="rect" id="node11" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1183,143,1311,174"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="672,146,749,177"/><area shape="rect" id="node25" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="664,93,757,123"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1363,143,1416,174"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1467,170,1517,201"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="828,301,953,331"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="852,197,929,227"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="844,93,937,123"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1003,197,1133,227"/><area shape="rect" id="node34" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1041,93,1095,123"/><area shape="rect" id="node44" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="643,301,779,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

